Subject: Re: [GSoC] Discuss: Implement support for reftables in‘dumb’ HTTP transport

From: Junio C Hamano <[email-masked]>
Date: Wed, 13 Mar 2024 14:39:24 -0700

Aryan Gupta <[email-masked]> writes:

> In simple
> words what I understand is I just need to add support for the server
> side nothing is to be done for the client side.

Hmph.  The "dumb" transport is kept primarily to allow folks, who
can only use web hosting that serves nothing but static files, to
publish their repositories, and requiring more things to be done on
the "dumb" server side sounds somewhat backwards to me.

To be quite honest, I personally doubt that this topic makes much
sense in this age and day---I've felt that the dumb HTTP walker
outlived its usefulness for the past 10 years already.  But perhaps
I am biased by the first-world access to the internet?

Thanks.